<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{rotationplansegments.edit}">Weiterbildungsabschnitt bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<h1>Weiterbildungsstation bearbeiten</h1>
	<form method="post" data-th-action="@{/training/rotationplans/{rotationPlanId}/rotationplansegments/update(rotationPlanId=${rotationPlanSegment.rotationPlan.id})}" data-th-object="${rotationPlanSegment}">
		<input type="hidden" data-th-field="*{id}" /> <input type="hidden" data-th-field="*{trainingPosition.id}" /> <input type="hidden" data-th-field="*{rotationPlan.id}" />

		<p>
			<label for="begin" data-th-text="#{rotationplansegments.segmentbegin}">Begin</label> <input type="date" data-th-field="*{segmentBegin}" data-th-errorclass="error" />
		</p>
		<ul data-th-unless="${#lists.isEmpty(#fields.errors('segmentBegin'))}">
			<li class="error" data-th-each="err : ${#fields.errors('segmentBegin')}" data-th-text="${err}" />
		</ul>
		<p>
			<label for="end" data-th-text="#{rotationplansegments.segmentend}">Ende</label> <input type="date" data-th-field="*{segmentEnd}" data-th-errorclass="error" />
		</p>
		<ul data-th-unless="${#lists.isEmpty(#fields.errors('segmentEnd'))}">
			<li class="error" data-th-each="err : ${#fields.errors('segmentEnd')}" data-th-text="${err}" />
		</ul>
		<p>
			<label for="fullTimeEquivalent" data-th-text="#{rotationplansegments.fulltimeequivalent}">VZÄ</label> <input type="number" data-th-field="*{fullTimeEquivalent}" data-th-errorclass="error" />
		</p>
		<ul data-th-unless="${#lists.isEmpty(#fields.errors('fullTimeEquivalent'))}">
			<li class="error" data-th-each="err : ${#fields.errors('fullTimeEquivalent')}" data-th-text="${err}" />
		</ul>

		<p>
			<label for="assignedSegment" data-th-text="#{rotationplansegments.assignedsegment}">Abschnitt der Weiterbildungsordnung</label> <select data-th-field="*{assignedSegment}" data-th-errorclass="error">
				<option value="">---</option>
				<option data-th-each="segment: ${fundableSegments}" data-th-value="${segment.id}">
					<th:block data-th-text="${segment.duration}" /> Monate
					<th:block data-th-text="${segment.medicalField.name}" /> (
					<th:block data-th-each="tType: ${segment.permittedTreatmentTypes}">
						<th:block data-th-text="#{${tType}}" />
					</th:block>)
				</option>
			</select>
		</p>
		<p>
			<label for="approved1" data-th-text="#{rotationplansegments.approved}">Anerkannt</label> <input type="checkbox" data-th-field="*{approved}" data-th-errorclass="error" />
		</p>
		<p>
			<label for="funded1" data-th-text="#{rotationplansegments.funded}">Gefördert</label> <input type="checkbox" data-th-field="*{funded}" data-th-errorclass="error" />
		</p>

		<ul>
			<li class="error" th:each="err : ${#fields.errors('global')}" th:text="${err}" />
		</ul>

		<p data-th-replace="fragments/snippets::save" />
	</form>
	</main>
</body>
</html>